Đến nội dung


Hình ảnh
- - - - -

[Nhờ viết lisp] rải mái taluy


  • Please log in to reply
16 replies to this topic

#1 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 03 January 2012 - 09:23 AM

Nhờ các cao thủ trên diễn đàn viết giúp lisp rải mái taluy như ảnh em gửi kem theo.
thanks
http://www.cadviet.c.../3/16864_11.jpg
  • 0
Sống trên đời cần có một tấm lòng.....

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 03 January 2012 - 09:40 AM

Nhờ các cao thủ trên diễn đàn viết giúp lisp rải mái taluy như ảnh em gửi kem theo.
thanks
http://www.cadviet.c.../3/16864_11.jpg

Bạn chịu khó tìm kiếm thử. Lisp này Tue_NV đã có viết rồi. 2 Đường giới hạn không chỉ là đoạn thẳng mà áp dụng cho cả PLINE gấp khúc nữa.
  • 0

#3 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 03 January 2012 - 10:14 AM

Bạn chịu khó tìm kiếm thử. Lisp này Tue_NV đã có viết rồi. 2 Đường giới hạn không chỉ là đoạn thẳng mà áp dụng cho cả PLINE gấp khúc nữa.



Em tìm thì có rất nhiều trên diễn đàn cũng của A viết nhưng chưa phù hợp vói công việc của em. nhờ A Tuệ giúp đỡ. Vâng em muốn áp dụng cho cả pline gấp khúc nữa. Mái rải taluy của em không rải điều hết cả pline mà chỉ từng khoảng thôi.Thanks!
  • 0
Sống trên đời cần có một tấm lòng.....

#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 03 January 2012 - 02:51 PM

Có Bác nào giúp đỡ em với........!

Hề hề hề,
1/- Các lisp loại này đúng là trên diễn đàn đã có khá nhiều. Nếu bạn thấy cái nào gần đạt với yêu cầu của bạn nhất thì hãy post nó lên và nói rõ bạn vần chỉnh sửa những gì thì mọi người sẽ dễ dàng giúp hơn.
2/- Nếu bạn muốn làm mới toe theo yêu cầu của bạn thì phải nói rõ ràng hơn các yêu cầu bạn cần. Chỉ với cái hình đơn giản như vầy và vài lời chú thích thế thì hoàn toàn khó có thể giúp bạn được cho dù có muốn giúp. Tỷ như bạn nói không cần rải hết mà chỉ rải một khoảng thì cách xác định cái khoảng cần rải này ra sao???? Số lượng nét taluy cần vẽ là bao nhiếu thì "vừa" với ý bạn???? Các đường giới hạn của bạn là loại đường gì line, polyline, arc .....????
3/- bạn đã tham gia diễn đàn khá khá thời gian rồi, hãy cố gắng gương mẫu tuân thủ các quy định chung của diễn đàn bạn nhé.....
Hề hề hề,...
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 03 January 2012 - 03:12 PM

Hề hề hề,
1/- Các lisp loại này đúng là trên diễn đàn đã có khá nhiều. Nếu bạn thấy cái nào gần đạt với yêu cầu của bạn nhất thì hãy post nó lên và nói rõ bạn vần chỉnh sửa những gì thì mọi người sẽ dễ dàng giúp hơn.
2/- Nếu bạn muốn làm mới toe theo yêu cầu của bạn thì phải nói rõ ràng hơn các yêu cầu bạn cần. Chỉ với cái hình đơn giản như vầy và vài lời chú thích thế thì hoàn toàn khó có thể giúp bạn được cho dù có muốn giúp. Tỷ như bạn nói không cần rải hết mà chỉ rải một khoảng thì cách xác định cái khoảng cần rải này ra sao???? Số lượng nét taluy cần vẽ là bao nhiếu thì "vừa" với ý bạn???? Các đường giới hạn của bạn là loại đường gì line, polyline, arc .....????
3/- bạn đã tham gia diễn đàn khá khá thời gian rồi, hãy cố gắng gương mẫu tuân thủ các quy định chung của diễn đàn bạn nhé.....
Hề hề hề,...

Mong Bác Bình giúp đỡ để lisp cũ em gửi kềm theo có thể thự hiện được coogn việc như file cad em gửi. Nhờ Bác giúp đỡ
M
http://www.cadviet.c...16864_taluy.lsp
http://www.cadviet.c.../16864_aa_4.dwg
  • 0
Sống trên đời cần có một tấm lòng.....

#6 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 03 January 2012 - 04:13 PM

Bác Bình Ơi! giúp đỡ em với nhe!
  • 0
Sống trên đời cần có một tấm lòng.....

#7 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 03 January 2012 - 05:58 PM

Mong Bác Bình giúp đỡ để lisp cũ em gửi kềm theo có thể thự hiện được coogn việc như file cad em gửi. Nhờ Bác giúp đỡ
M
http://www.cadviet.c...16864_taluy.lsp
http://www.cadviet.c.../16864_aa_4.dwg

Hề hề hề,
Với cái lisp bạn đã có này, việc bắt nó là theo ý muốn của bạn sẽ chả mấy khó khăn nữa đâu bạn ạ??? Nhưng mà bạn có muốn tự mình làm điều này hay không???
Mình khẳng định rằng nếu bạn muốn tự làm , ắt sẽ làm được một cách ngon lành. Bởi vì nó không quá phức tạp.
Mình có thể giúp bạn làm để bạn có thể xài ngay mà chả cần biết gì thêm. Nhưng như vậy sẽ chả có lợi lộc gì cho bạn cả.
Việc viết mới lại cũng không quá khó nhưng bạn nên bắt đầu từ việc sửa cái đã có theo ý mình sẽ tốt hơn là làm mới từ đầu bạn ạ. Nếu bạn đồng ý mình sẽ giúp bạn đến cùng để hoàn thành cái bạn cần....
Mình sẵn sàng bỏ ra vài tiếng để giúp bạn tự làm được còn hơn là mình chỉ cần 10 phút để viết sẵn cho bạn bạn ạ.
Chúc bạn vui.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#8 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 04 January 2012 - 07:50 AM

Hề hề hề,
Với cái lisp bạn đã có này, việc bắt nó là theo ý muốn của bạn sẽ chả mấy khó khăn nữa đâu bạn ạ??? Nhưng mà bạn có muốn tự mình làm điều này hay không???
Mình khẳng định rằng nếu bạn muốn tự làm , ắt sẽ làm được một cách ngon lành. Bởi vì nó không quá phức tạp.
Mình có thể giúp bạn làm để bạn có thể xài ngay mà chả cần biết gì thêm. Nhưng như vậy sẽ chả có lợi lộc gì cho bạn cả.
Việc viết mới lại cũng không quá khó nhưng bạn nên bắt đầu từ việc sửa cái đã có theo ý mình sẽ tốt hơn là làm mới từ đầu bạn ạ. Nếu bạn đồng ý mình sẽ giúp bạn đến cùng để hoàn thành cái bạn cần....
Mình sẵn sàng bỏ ra vài tiếng để giúp bạn tự làm được còn hơn là mình chỉ cần 10 phút để viết sẵn cho bạn bạn ạ.
Chúc bạn vui.


E không làm được nên mới nhờ Bác Bình viết giúp chứ. Nếu em biết chút ít về lisp thì em có thể tự mày mò để viết rồi nhưng em koong biết gì về ngôn ngữ autolisp cả mong Bác giúp đỡ
  • 0
Sống trên đời cần có một tấm lòng.....

#9 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 04 January 2012 - 12:37 PM

Nhờ các Bác giúp đỡ
  • 0
Sống trên đời cần có một tấm lòng.....

#10 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 04 January 2012 - 01:43 PM

Mình nhìn hình tí thì khóc :(
Khoảng cách 1 thì nhập là có lý, nhưng khoảng cách 2 mà bạn dim ở đấy thì ...
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#11 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 04 January 2012 - 03:03 PM

Thế Bác ketxu có thể viết giúp em để như thế nào mà thwucj hiện được công việc tương tự như hình em gửi không. Hoặc Bác có thể viết giúp em Lisp để rải mái taluy tương tự như vậy ko!
  • 0
Sống trên đời cần có một tấm lòng.....

#12 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 04 January 2012 - 03:14 PM

Mình thua ^^ Bạn tự xem hình bạn gửi rồi tính xem liệu có thể cố định cái Khoảng cách 2 được k :) Bạn phân biệt cái nào là gốc, cái nào là đích ? Các đường rải trong cùng 1 nhóm có luôn song song không ? Nếu song song thì đường đầu tiên dựa vào đâu ? Nếu k song song thì các đường dựa vào đâu ?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#13 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 04 January 2012 - 03:14 PM

E không làm được nên mới nhờ Bác Bình viết giúp chứ. Nếu em biết chút ít về lisp thì em có thể tự mày mò để viết rồi nhưng em koong biết gì về ngôn ngữ autolisp cả mong Bác giúp đỡ

Hề hề hề,
Không biết thời không có tội tình chi cả. Song nếu không muốn biết mà cái sự biết ấy lại rất cần cho công việc của mình thì nó là tội to đấy. Tội LƯỜI, tội Ỷ LẠI, tội THIẾU TRÁCH NHIỆM, ..... trăm thứ tội cơ đấy.
Mình muốn giúp mà bạn không muốn thì chỉ có trời giúp được bạn thôi.
Đây là cái mình chỉ cần mươi phút để làm nhưng rất không muốn làm vì nó không có ý nghĩa gì với mình cả. Vì bạn quá cần nên mình nhín chút giận mà làm nhưng hy vọng bạn sẽ có thay đổi trong cách làm việc của bạn để có thể tiến bộ hơn. Chúc bạn chóng thành tài.
Mình sẽ không giải thích gì thêm và cũng sẽ không sửa gì nữa đâu, nếu bạn thấy không dùng được thì cứ cho vào sọt rác cho rảnh nợ nhé.

;; free lisp from cadviet.com
;;; this lisp was downloaded from [url="http://www.cadviet.com/forum/index.php?showtopic=6778&pid=37143&st=0&#entry37143"]http://www.cadviet.c...t=0[/url]
(defun c:taluy (/)
(setvar "CMDECHO" 0)
(setq osmode (getvar "osmode"))
(setvar "osmode" 0)
(setvar "unitmode" 0)
(setvar "dimzin" 0)
(setvar "blipmode" 0)
(setvar "aunits" 0)
(setvar "angbase" (/ pi 2))
(setvar "angdir" 1)
(if (not (tblsearch "layer" "BATTER"))
(command "layer" "n" "BATTER" "color" "8" "BATTER" "s" "BATTER" \n)
(command "layer" "s" "BATTER" \n)
)
(if (not lint)
(setq lint 10.0)
)
(setq int (getdist (strcat "\nNhap khoang cach chia taluy <" (rtos lint 2 3) ">: " )) )
(if int
(setq lint int)
(setq int lint)
)
(setq kth0 5)
(setq kth (getint (strcat "\n Nhap so khoang ho khong ve net taluy <" (rtos kth0 2 0) ">: ")) )
(if kth
(setq kth0 kth)
(setq kth kth0)
)
(command "line" (list 0.0 0.0) (list 0.0 0.0001) "")
(if (tblsearch "block" "tadtick")
(command "block" "tadtick" "y" (list 0.0 0.0) (entlast) "")
(command "block" "tadtick" (list 0.0 0.0) (entlast) "")
)
(while (setq refent (entsel "\nChon doi tuong can rai taluy : "))
(command "undo" "group")
(redraw (car refent) 3)
(initget 1 "daO daP")
(setq reply (getkword "\nChon kieu taluy Nen Da[O] hay Nen Da[P]: "))
(print "\n")
(print "Chon cac doi tuong can batter :")
(setq s (ssget))
(command "measure" refent "b" "tadtick" "y" int)
(setq p (ssget "p") cn 0)
(if s
(progn
(while (< cn (sslength p))
(setq en (entget (ssname p cn))
p0 (cdr (assoc 10 en))
pt1 p0
pt2 nil
b (cdr (assoc 50 en))
)
(entdel (ssname p cn))
(setq p1 (polar p0 (+ (/ pi 2) b ) 0.0001))
(command "line" p0 p1 "")
(command "extend" s "" (list (entlast) p1) "")
(setq xent (entget (entlast)))
(setq xdist (distance (cdr (assoc 10 xent)) (cdr (assoc 11 xent))))
(if (not (equal xdist 0.0001 0.0001))
(setq pt2 (cdr (assoc 11 xent)))
(progn
(command "extend" s "" (list (entlast) p0) "")
(setq xent (entget (entlast)))
(setq xdist (distance (cdr (assoc 10 xent)) (cdr (assoc 11 xent))))
(if (not (equal xdist 0.0001 0.0001))
(setq pt2 (cdr (assoc 10 xent)))
)
)
)
(entdel (entlast))
(if pt2
(if (= reply "daP")
(cond
((or (= (rem cn (+ kth 5)) 0) (= (rem cn (+ kth 5)) 2) (= (rem cn (+ kth 5)) 4))
(setvar "lwdefault" 9) (setvar "clayer" "net manh") (setvar "cecolor" "8") (command "line" pt1 pt2 "") )
((or (= (rem cn (+ kth 5)) 1) (= (rem cn (+ kth 5)) 3))
(setvar "lwdefault" 20)(setvar "clayer" "net 0.2") (setvar "cecolor" "6")(command "line" pt1 (polar pt1 (angle pt1 pt2) (/ (distance pt1 pt2) 3)) "") )
(T nil)
)
(cond
((or (= (rem cn (+ kth 5)) 0) (= (rem cn (+ kth 5)) 2) (= (rem cn (+ kth 5)) 4))
(setvar "lwdefault" 9)(setvar "clayer" "net 0.2")(setvar "cecolor" "8") (command "line" pt2 pt1 "") )
((or (= (rem cn (+ kth 5)) 1) (= (rem cn (+ kth 5)) 3))
(setvar "lwdefault" 20) (setvar "clayer" "net manh") (setvar "cecolor" "6") (command "line" pt2 (polar pt2 (angle pt2 pt1) (/ (distance pt2 pt1) 3)) "") )
(T nil)
)
)
)
(setq cn (1+ cn))
)
)
)
(command "undo" "en")
)
(setvar "blipmode" 1)
(setvar "osmode" osmode)
(princ)
)

  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#14 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 04 January 2012 - 03:37 PM

Hề hề hề,
Không biết thời không có tội tình chi cả. Song nếu không muốn biết mà cái sự biết ấy lại rất cần cho công việc của mình thì nó là tội to đấy. Tội LƯỜI, tội Ỷ LẠI, tội THIẾU TRÁCH NHIỆM, ..... trăm thứ tội cơ đấy.
Mình muốn giúp mà bạn không muốn thì chỉ có trời giúp được bạn thôi.
Đây là cái mình chỉ cần mươi phút để làm nhưng rất không muốn làm vì nó không có ý nghĩa gì với mình cả. Vì bạn quá cần nên mình nhín chút giận mà làm nhưng hy vọng bạn sẽ có thay đổi trong cách làm việc của bạn để có thể tiến bộ hơn. Chúc bạn chóng thành tài.
Mình sẽ không giải thích gì thêm và cũng sẽ không sửa gì nữa đâu, nếu bạn thấy không dùng được thì cứ cho vào sọt rác cho rảnh nợ nhé.


;; free lisp from cadviet.com
;;; this lisp was downloaded from [url="http://www.cadviet.com/forum/index.php?showtopic=6778&pid=37143&st=0&#entry37143"]http://www.cadviet.c...t=0[/url]
(defun c:taluy (/)
(setvar "CMDECHO" 0)
(setq osmode (getvar "osmode"))
(setvar "osmode" 0)
(setvar "unitmode" 0)
(setvar "dimzin" 0)
(setvar "blipmode" 0)
(setvar "aunits" 0)
(setvar "angbase" (/ pi 2))
(setvar "angdir" 1)
(if (not (tblsearch "layer" "BATTER"))
(command "layer" "n" "BATTER" "color" "8" "BATTER" "s" "BATTER" \n)
(command "layer" "s" "BATTER" \n)
)
(if (not lint)
(setq lint 10.0)
)
(setq int (getdist (strcat "\nNhap khoang cach chia taluy <" (rtos lint 2 3) ">: " )) )
(if int
(setq lint int)
(setq int lint)
)
(setq kth0 5)
(setq kth (getint (strcat "\n Nhap so khoang ho khong ve net taluy <" (rtos kth0 2 0) ">: ")) )
(if kth
(setq kth0 kth)
(setq kth kth0)
)
(command "line" (list 0.0 0.0) (list 0.0 0.0001) "")
(if (tblsearch "block" "tadtick")
(command "block" "tadtick" "y" (list 0.0 0.0) (entlast) "")
(command "block" "tadtick" (list 0.0 0.0) (entlast) "")
)
(while (setq refent (entsel "\nChon doi tuong can rai taluy : "))
(command "undo" "group")
(redraw (car refent) 3)
(initget 1 "daO daP")
(setq reply (getkword "\nChon kieu taluy Nen Da[O] hay Nen Da[P]: "))
(print "\n")
(print "Chon cac doi tuong can batter :")
(setq s (ssget))
(command "measure" refent "b" "tadtick" "y" int)
(setq p (ssget "p") cn 0)
(if s
(progn
(while (< cn (sslength p))
(setq en (entget (ssname p cn))
p0 (cdr (assoc 10 en))
pt1 p0
pt2 nil
b (cdr (assoc 50 en))
)
(entdel (ssname p cn))
(setq p1 (polar p0 (+ (/ pi 2) b ) 0.0001))
(command "line" p0 p1 "")
(command "extend" s "" (list (entlast) p1) "")
(setq xent (entget (entlast)))
(setq xdist (distance (cdr (assoc 10 xent)) (cdr (assoc 11 xent))))
(if (not (equal xdist 0.0001 0.0001))
(setq pt2 (cdr (assoc 11 xent)))
(progn
(command "extend" s "" (list (entlast) p0) "")
(setq xent (entget (entlast)))
(setq xdist (distance (cdr (assoc 10 xent)) (cdr (assoc 11 xent))))
(if (not (equal xdist 0.0001 0.0001))
(setq pt2 (cdr (assoc 10 xent)))
)
)
)
(entdel (entlast))
(if pt2
(if (= reply "daP")
(cond
((or (= (rem cn (+ kth 5)) 0) (= (rem cn (+ kth 5)) 2) (= (rem cn (+ kth 5)) 4))
(setvar "lwdefault" 9) (setvar "clayer" "net manh") (setvar "cecolor" "8") (command "line" pt1 pt2 "") )
((or (= (rem cn (+ kth 5)) 1) (= (rem cn (+ kth 5)) 3))
(setvar "lwdefault" 20)(setvar "clayer" "net 0.2") (setvar "cecolor" "6")(command "line" pt1 (polar pt1 (angle pt1 pt2) (/ (distance pt1 pt2) 3)) "") )
(T nil)
)
(cond
((or (= (rem cn (+ kth 5)) 0) (= (rem cn (+ kth 5)) 2) (= (rem cn (+ kth 5)) 4))
(setvar "lwdefault" 9)(setvar "clayer" "net 0.2")(setvar "cecolor" "8") (command "line" pt2 pt1 "") )
((or (= (rem cn (+ kth 5)) 1) (= (rem cn (+ kth 5)) 3))
(setvar "lwdefault" 20) (setvar "clayer" "net manh") (setvar "cecolor" "6") (command "line" pt2 (polar pt2 (angle pt2 pt1) (/ (distance pt2 pt1) 3)) "") )
(T nil)
)
)
)
(setq cn (1+ cn))
)
)
)
(command "undo" "en")
)
(setvar "blipmode" 1)
(setvar "osmode" osmode)
(princ)
)


Cảm ơn Bác Bình rất nhiều! Thế mà Bác Ketxu bảo khoảng cách giữa không thể viết được. Em rất muốn học hỏi nhưng em không biết gì về ngôn ngữ autolisp cả nên mới rất cần Bác giúp dỡ. Thanhks bác Bình!
  • 0
Sống trên đời cần có một tấm lòng.....

#15 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 04 January 2012 - 04:03 PM


Cảm ơn Bác Bình rất nhiều! Thế mà Bác Ketxu bảo khoảng cách giữa không thể viết được. Em rất muốn học hỏi nhưng em không biết gì về ngôn ngữ autolisp cả nên mới rất cần Bác giúp dỡ. Thanhks bác Bình!

Mình nói mình thua, mình k lập được thôi, còn bác Bình là lão làng cao thủ r, bạn so sánh vậy đâu có được ^^ Vả lại cũng phải thú nhận là mình hơi dốt Hình học :D
Nhưng mình nghĩ bạn cũng nên xem lại mấy câu mình chen ngang nói ké ở bài #12 ^^

Nếu thank bác B, bạn hãy nhấn nút Like This
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#16 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 04 January 2012 - 04:08 PM


Cảm ơn Bác Bình rất nhiều! Thế mà Bác Ketxu bảo khoảng cách giữa không thể viết được. Em rất muốn học hỏi nhưng em không biết gì về ngôn ngữ autolisp cả nên mới rất cần Bác giúp dỡ. Thanhks bác Bình!

Hề hề hề,
Thực ra bạn chưa hiểu ý kiến của bác Ketxu rồi.
Cái khoảng cách bạn cho ấy thực ra là vô nghĩa chả thể dùng làm gì vì nếu như vô tình mà nó lại chả trùng với cái bước vẽ taluy thì bạn sẽ làm gì nhỉ??? (Mà cái vô tình này nó chiếm tới hơn 99,9999% trường hợp cố tình trúng đấy....)
Ở đây mình phải biến báo đi vì đoán rằng nó chả có quan trọng chi nên để cho dễ xới mình chọn nó là một số lần nhất định của cái bước vẽ net taluy. Và từ đó để làm chứ chả phải căn cứ vào đúng cái "hướng dẫn" của bạn đâu.
Muốn mau hay thưa thì bạn hãy tự nhập cái giá trị bước này, nếu không nhập thì mình mặc định nó là 5.
Nếu bạn muốn có thể tùy ý thay đổi số nét vẽ ta luy nữa nhưng mình kệ bạn tự xử lý chứ mình không làm thêm nữa đâu nhé.
Chúc bạn vui.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#17 thanhlam03xt

thanhlam03xt

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 04 January 2012 - 04:26 PM

Hề hề hề,
Thực ra bạn chưa hiểu ý kiến của bác Ketxu rồi.
Cái khoảng cách bạn cho ấy thực ra là vô nghĩa chả thể dùng làm gì vì nếu như vô tình mà nó lại chả trùng với cái bước vẽ taluy thì bạn sẽ làm gì nhỉ??? (Mà cái vô tình này nó chiếm tới hơn 99,9999% trường hợp cố tình trúng đấy....)
Ở đây mình phải biến báo đi vì đoán rằng nó chả có quan trọng chi nên để cho dễ xới mình chọn nó là một số lần nhất định của cái bước vẽ net taluy. Và từ đó để làm chứ chả phải căn cứ vào đúng cái "hướng dẫn" của bạn đâu.
Muốn mau hay thưa thì bạn hãy tự nhập cái giá trị bước này, nếu không nhập thì mình mặc định nó là 5.
Nếu bạn muốn có thể tùy ý thay đổi số nét vẽ ta luy nữa nhưng mình kệ bạn tự xử lý chứ mình không làm thêm nữa đâu nhé.
Chúc bạn vui.


Như thế là em sử dụng đúng theo ý mình rồi nên rất chân thành cảm ơn Bác Bình. Vì E ko hiểu gì về ngôn ngữ autolisp cả nên xin lỗi Bác Ketxu nhé mong Bác thông cảm!
  • 0
Sống trên đời cần có một tấm lòng.....